Page MenuHomePhabricator

Fatal error: Call to a member function getText() on a non-object in php-1.24wmf14/includes/OutputPage.php on line 1296
Closed, ResolvedPublic

Description

[2014-07-22 19:14:37] Fatal error: Call to a member function getText() on a non-object at /usr/local/apache/common-local/php-1.24wmf14/includes/OutputPage.php on line 1296
Server: mw1052
Method: POST
URL: http://commons.wikimedia.org/wiki/Special:GWToolset
Backtrace:
#0 /usr/local/apache/common-local/php-1.24wmf14/includes/OutputPage.php(1296): OutputPage::addCategoryLinks()
#1 /usr/local/apache/common-local/php-1.24wmf14/includes/OutputPage.php(1310): OutputPage->addCategoryLinks(Array)
#2 /usr/local/apache/common-local/php-1.24wmf14/extensions/GWToolset/includes/Forms/PreviewForm.php(309): OutputPage->setCategoryLinks(Array)
#3 /usr/local/apache/common-local/php-1.24wmf14/extensions/GWToolset/includes/Forms/PreviewForm.php(142): GWToolset\Forms\PreviewForm::getMetadataAsWikitext(Array, Object(RequestContext))
#4 /usr/local/apache/common-local/php-1.24wmf14/extensions/GWToolset/includes/Handlers/Forms/MetadataMappingHandler.php(558): GWToolset\Forms\PreviewForm::getForm(Object(RequestContext), Array, Array, Array)
#5 /usr/local/apache/common-local/php-1.24wmf14/extensions/GWToolset/includes/Handlers/Forms/FormHandler.php(176): GWToolset\Handlers\Forms\MetadataMappingHandler->processRequest()
#6 /usr/local/apache/common-local/php-1.24wmf14/extensions/GWToolset/includes/Specials/SpecialGWToolset.php(119): GWToolset\Handlers\Forms\FormHandler->execute()
#7 /usr/local/apache/common-local/php-1.24wmf14/extensions/GWToolset/includes/Specials/SpecialGWToolset.php(72): GWToolset\SpecialGWToolset->processRequest()
#8 /usr/local/apache/common-local/php-1.24wmf14/includes/specialpage/SpecialPage.php(382): GWToolset\SpecialGWToolset->execute(NULL)
#9 /usr/local/apache/common-local/php-1.24wmf14/includes/specialpage/SpecialPageFactory.php(515): SpecialPage->run(NULL)
#10 /usr/local/apache/common-local/php-1.24wmf14/includes/MediaWiki.php(288): SpecialPageFactory::executePath(Object(Title), Object(RequestContext))
#11 /usr/local/apache/common-local/php-1.24wmf14/includes/MediaWiki.php(603): MediaWiki->performRequest()
#12 /usr/local/apache/common-local/php-1.24wmf14/includes/MediaWiki.php(452): MediaWiki->main()
#13 /usr/local/apache/common-local/php-1.24wmf14/index.php(46): MediaWiki->run()
#14 /usr/local/apache/common-local/w/index.php(3): require('/usr/local/apac...')
#15 {main}


Version: unspecified
Severity: normal

Details

Reference
bz68394

Event Timeline

bzimport raised the priority of this task from to Needs Triage.Nov 22 2014, 3:39 AM
bzimport added a project: MediaWiki-General.
bzimport set Reference to bz68394.
bzimport added a subscriber: Unknown Object (MLST).
Reedy created this task.Jul 22 2014, 7:17 PM

Change 148439 had a related patch set uploaded by Reedy:
Call to a member function getText() on a non-object

https://gerrit.wikimedia.org/r/148439

For reference, according to http://lists.wikimedia.org/pipermail/glamtools/2014-July/000231.html this was triggered by input that looked somewhat like:

<?xml version="1.0" encoding="UTF-8"?>

<records>

<record>
<URL>http://mochila_images.s3.amazonaws.com/aaa008.jpg</URL>

<mochila_titulo>Mochila_Cangrejos de colores</mochila_titulo>

<description>Cangrejo Halloween en la Isla Iguana, Los
Santos</description>
<author>José Manuel Castrellon</author>
<source>Fundación Almanaque Azul</source>
<mochila_relacion_programa_educativo>{{Information
field|name=mochila_relacion_programa_educativo|value=Los seres vivos y su
ambiente}}</mochila_relacion_programa_educativo>
<mochila_provincia>{{Information field|name=mochila_provincia|value=Los
Santos}}</mochila_provincia>
<mochila_distrito>{{Information
field|name=mochila_distrito|value=Pedasí}}</mochila_distrito>
<mochila_corregimiento>{{Information
field|name=mochila_corregimiento|value=Mariabé}}</mochila_corregimiento>
<mochila_lugar>{{Information field|name=mochila_lugar|value=Isla
Iguana}}</mochila_lugar>
<Location>{{Location|7.63|-80.00|PA-7>}}</Location>
<mochila_georef_type>{{Information
field|name=mochila_georef_type|value=Centroide}}</mochila_georef_type>
<date>-</date>
<Category>Gecarcinus quadratus</Category>
<mochila_ecosistema>{{Information
field|name=mochila_ecosistema|value=}}</mochila_ecosistema>
<mochila_grupos_humanos>{{Information field|name=mochila_grupos
humanos|value=}}</mochila_grupos_humanos>
<mochila_palabras_clave>{{Information
field|name=mochila_palabras_clave|value=Animal, Crustáceo, Cangrejo,
Isla}}</mochila_palabras_clave>
<mochila_tema>{{Information field|name=mochila_tema|value=Interacción
hombre- ambiente}}</mochila_tema>
<mochila_paisaje>{{Information
field|name=mochila_paisaje|value=Natural}}</mochila_paisaje>
<mochila_nombre_comun>{{Information
field|name=mochila_nombre_comun|value=Cangrejo de mangle, cangrejo de
tierra, cangrejo hóloween}}</mochila_nombre_comun>
<mochila_codigo_admin>{{Information
field|name=mochila_codigo_admin|value=70503}}</mochila_codigo_admin>
<mochila_geologia>{{Information
field|name=mochila_geologia|value=Sedimentarias}}</mochila_geologia>
<mochila_cuenca>{{Information
field|name=mochila_cuenca|value=}}</mochila_cuenca>
<mochila_SINAP>{{Information field|name=mochila_SINAP|value=R.V.S. Isla
Iguana}}</mochila_SINAP>

</record>

</records>

Change 148533 had a related patch set uploaded by Brian Wolff:
Fix valid category check during preview form.

https://gerrit.wikimedia.org/r/148533

Change 148439 merged by jenkins-bot:
Call to a member function getText() on a non-object

https://gerrit.wikimedia.org/r/148439

Change 148533 merged by jenkins-bot:
Fix valid category check during preview form.

https://gerrit.wikimedia.org/r/148533